# Change log

All notable changes to this project will be documented in this file. The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org).

## [v3.5.0](https://github.com/puppetlabs/ca_extend/tree/v3.5.0) (2023-10-03)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v3.4.0...v3.5.0)

### Added

- \(SUP-3564\) Support more types of infra nodes [\#89](https://github.com/puppetlabs/ca_extend/pull/89) ([m0dular](https://github.com/m0dular))

## [v3.4.0](https://github.com/puppetlabs/ca_extend/tree/v3.4.0) (2023-07-19)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v3.3.1...v3.4.0)

### Added

- Bump stdlib dependency [\#86](https://github.com/puppetlabs/ca_extend/pull/86) ([m0dular](https://github.com/m0dular))
- \(SUP-4347\) Allow extend.sh to operate on Puppet 6 CAs [\#85](https://github.com/puppetlabs/ca_extend/pull/85) ([Sharpie](https://github.com/Sharpie))
- Puppet 8 Compatibility [\#82](https://github.com/puppetlabs/ca_extend/pull/82) ([MartyEwings](https://github.com/MartyEwings))

## [v3.3.1](https://github.com/puppetlabs/ca_extend/tree/v3.3.1) (2023-01-26)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v3.3.0...v3.3.1)

### Fixed

- \(SUP-3365\) Fix lookup of crl\_results [\#77](https://github.com/puppetlabs/ca_extend/pull/77) ([m0dular](https://github.com/m0dular))

## [v3.3.0](https://github.com/puppetlabs/ca_extend/tree/v3.3.0) (2023-01-26)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v3.2.0...v3.3.0)

### Added

- \(SUP-3365\) Add crl\_truncate  [\#72](https://github.com/puppetlabs/ca_extend/pull/72) ([elainemccloskey](https://github.com/elainemccloskey))

### Fixed

- \(SUP-3048\) Do not print cert contents [\#71](https://github.com/puppetlabs/ca_extend/pull/71) ([m0dular](https://github.com/m0dular))

## [v3.2.0](https://github.com/puppetlabs/ca_extend/tree/v3.2.0) (2022-06-29)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v3.1.0...v3.2.0)

### Added

- \(SUP-3016\) Ensure valid json formatting [\#64](https://github.com/puppetlabs/ca_extend/pull/64) ([m0dular](https://github.com/m0dular))
- \(SUP-3016\) Add printing dates to agent expiry task [\#63](https://github.com/puppetlabs/ca_extend/pull/63) ([elainemccloskey](https://github.com/elainemccloskey))

### Fixed

- \(SUP-3433\) Incorrect Error handling ref for upload\_ca\_cert.pp  [\#67](https://github.com/puppetlabs/ca_extend/pull/67) ([MartyEwings](https://github.com/MartyEwings))

## [v3.1.0](https://github.com/puppetlabs/ca_extend/tree/v3.1.0) (2022-03-28)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v3.0.0...v3.1.0)

### Added

- \(SUP-2742\) adds examples of the usage of ca\_extend::upload\_ca\_cert [\#61](https://github.com/puppetlabs/ca_extend/pull/61) ([taikaa](https://github.com/taikaa))

### Fixed

- \(SUP-2655\) Update Minimum Supported Bolt Version to 1.38.0 [\#49](https://github.com/puppetlabs/ca_extend/pull/49) ([henrywangpuppet](https://github.com/henrywangpuppet))

## [v3.0.0](https://github.com/puppetlabs/ca_extend/tree/v3.0.0) (2021-08-18)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v2.1.0...v3.0.0)

### Changed

- Remove harmful terms from ca\_extend [\#40](https://github.com/puppetlabs/ca_extend/pull/40) ([gavindidrichsen](https://github.com/gavindidrichsen))
- \(SUP-2497\) Remove EOL platforms and versions [\#39](https://github.com/puppetlabs/ca_extend/pull/39) ([m0dular](https://github.com/m0dular))

## [v2.1.0](https://github.com/puppetlabs/ca_extend/tree/v2.1.0) (2021-08-02)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v1.3.0...v2.1.0)

### Added

- Updated the readme file to include "How to Report an issue or contribute to the module" section \(SUP-2376\) [\#16](https://github.com/puppetlabs/ca_extend/pull/16) ([asselvakumar](https://github.com/asselvakumar))
- Add option to regenerate the primary agent cert. [\#10](https://github.com/puppetlabs/ca_extend/pull/10) ([m0dular](https://github.com/m0dular))

### Fixed

- Remove hard-coded paths from scripts [\#30](https://github.com/puppetlabs/ca_extend/pull/30) ([m0dular](https://github.com/m0dular))
- Check for cadir during primary cert regen [\#28](https://github.com/puppetlabs/ca_extend/pull/28) ([m0dular](https://github.com/m0dular))

## [v1.3.0](https://github.com/puppetlabs/ca_extend/tree/v1.3.0) (2021-03-02)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v1.2.1...v1.3.0)

## [v1.2.1](https://github.com/puppetlabs/ca_extend/tree/v1.2.1) (2021-02-05)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v1.2.0...v1.2.1)

## [v1.2.0](https://github.com/puppetlabs/ca_extend/tree/v1.2.0) (2020-11-24)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v1.1.1...v1.2.0)

## [v1.1.1](https://github.com/puppetlabs/ca_extend/tree/v1.1.1) (2020-04-13)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v1.0.1...v1.1.1)

## [v1.0.1](https://github.com/puppetlabs/ca_extend/tree/v1.0.1) (2019-12-03)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v1.0.0...v1.0.1)

## [v1.0.0](https://github.com/puppetlabs/ca_extend/tree/v1.0.0) (2019-04-30)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/v0.1.0...v1.0.0)

## [v0.1.0](https://github.com/puppetlabs/ca_extend/tree/v0.1.0) (2019-03-22)

[Full Changelog](https://github.com/puppetlabs/ca_extend/compare/fd9f05b17f65770910b3146688ed702011b62802...v0.1.0)



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
